Generation Framework

## org.eclipse.gmf.tooldef.provider
Class GMFToolItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.tooldef.util.GMFToolAdapterFactory
              org.eclipse.gmf.tooldef.provider.GMFToolItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

public class GMFToolItemProviderAdapterFactory
extends GMFToolAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

** Generated **

Field Summary
`protected BundleImageItemProvider` `bundleImageItemProvider` This keeps track of the one adapter used for all `BundleImage` instances
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ContextMenuItemProvider` `contextMenuItemProvider` This keeps track of the one adapter used for all `ContextMenu` instances
`protected CreationToolItemProvider` `creationToolItemProvider` This keeps track of the one adapter used for all `CreationTool` instances
`protected DefaultImageItemProvider` `defaultImageItemProvider` This keeps track of the one adapter used for all `DefaultImage` instances
`protected GenericStyleSelectorItemProvider` `genericStyleSelectorItemProvider` This keeps track of the one adapter used for all `GenericStyleSelector` instances
`protected GenericToolItemProvider` `genericToolItemProvider` This keeps track of the one adapter used for all `GenericTool` instances
`protected ItemRefItemProvider` `itemRefItemProvider` This keeps track of the one adapter used for all `ItemRef` instances
`protected MainMenuItemProvider` `mainMenuItemProvider` This keeps track of the one adapter used for all `MainMenu` instances
`protected MenuActionItemProvider` `menuActionItemProvider` This keeps track of the one adapter used for all `MenuAction` instances
`protected PaletteItemProvider` `paletteItemProvider` This keeps track of the one adapter used for all `Palette` instances
`protected PaletteSeparatorItemProvider` `paletteSeparatorItemProvider` This keeps track of the one adapter used for all `PaletteSeparator` instances
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected PopupMenuItemProvider` `popupMenuItemProvider` This keeps track of the one adapter used for all `PopupMenu` instances
`protected PredefinedItemItemProvider` `predefinedItemItemProvider` This keeps track of the one adapter used for all `PredefinedItem` instances
`protected PredefinedMenuItemProvider` `predefinedMenuItemProvider` This keeps track of the one adapter used for all `PredefinedMenu` instances
`protected SeparatorItemProvider` `separatorItemProvider` This keeps track of the one adapter used for all `Separator` instances
`protected StandardToolItemProvider` `standardToolItemProvider` This keeps track of the one adapter used for all `StandardTool` instances
`protected java.util.Collection` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected ToolbarItemProvider` `toolbarItemProvider` This keeps track of the one adapter used for all `Toolbar` instances
`protected ToolGroupItemProvider` `toolGroupItemProvider` This keeps track of the one adapter used for all `ToolGroup` instances
`protected ToolRegistryItemProvider` `toolRegistryItemProvider` This keeps track of the one adapter used for all `ToolRegistry` instances

Fields inherited from class org.eclipse.gmf.tooldef.util.GMFToolAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GMFToolItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createBundleImageAdapter()` This creates an adapter for a `BundleImage`
`Adapter` `createContextMenuAdapter()` This creates an adapter for a `ContextMenu`
`Adapter` `createCreationToolAdapter()` This creates an adapter for a `CreationTool`
`Adapter` `createDefaultImageAdapter()` This creates an adapter for a `DefaultImage`
`Adapter` `createGenericStyleSelectorAdapter()` This creates an adapter for a `GenericStyleSelector`
`Adapter` `createGenericToolAdapter()` This creates an adapter for a `GenericTool`
`Adapter` `createItemRefAdapter()` This creates an adapter for a `ItemRef`
`Adapter` `createMainMenuAdapter()` This creates an adapter for a `MainMenu`
`Adapter` `createMenuActionAdapter()` This creates an adapter for a `MenuAction`
`Adapter` `createPaletteAdapter()` This creates an adapter for a `Palette`
`Adapter` `createPaletteSeparatorAdapter()` This creates an adapter for a `PaletteSeparator`
`Adapter` `createPopupMenuAdapter()` This creates an adapter for a `PopupMenu`
`Adapter` `createPredefinedItemAdapter()` This creates an adapter for a `PredefinedItem`
`Adapter` `createPredefinedMenuAdapter()` This creates an adapter for a `PredefinedMenu`
`Adapter` `createSeparatorAdapter()` This creates an adapter for a `Separator`
`Adapter` `createStandardToolAdapter()` This creates an adapter for a `StandardTool`
`Adapter` `createToolbarAdapter()` This creates an adapter for a `Toolbar`
`Adapter` `createToolGroupAdapter()` This creates an adapter for a `ToolGroup`
`Adapter` `createToolRegistryAdapter()` This creates an adapter for a `ToolRegistry`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `GMFToolItemProviderAdapterFactory.changeNotifier` and to `GMFToolItemProviderAdapterFactory.parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.gmf.tooldef.util.GMFToolAdapterFactory
`createAbstractToolAdapter, createAdapter, createContributionItemAdapter, createEObjectAdapter, createImageAdapter, createItemBaseAdapter, createMenuAdapter, createStyleSelectorAdapter, createToolContainerAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

  ** Generated **

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

  ** Generated **

### supportedTypes

    protected java.util.Collection supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

  ** Generated **

### toolRegistryItemProvider

    protected ToolRegistryItemProvider toolRegistryItemProvider

  This keeps track of the one adapter used for all `ToolRegistry` instances.

  ** Generated **

### paletteSeparatorItemProvider

    protected PaletteSeparatorItemProvider paletteSeparatorItemProvider

  This keeps track of the one adapter used for all `PaletteSeparator` instances.

  ** Generated **

### toolGroupItemProvider

    protected ToolGroupItemProvider toolGroupItemProvider

  This keeps track of the one adapter used for all `ToolGroup` instances.

  ** Generated **

### paletteItemProvider

    protected PaletteItemProvider paletteItemProvider

  This keeps track of the one adapter used for all `Palette` instances.

  ** Generated **

### standardToolItemProvider

    protected StandardToolItemProvider standardToolItemProvider

  This keeps track of the one adapter used for all `StandardTool` instances.

  ** Generated **

### creationToolItemProvider

    protected CreationToolItemProvider creationToolItemProvider

  This keeps track of the one adapter used for all `CreationTool` instances.

  ** Generated **

### genericToolItemProvider

    protected GenericToolItemProvider genericToolItemProvider

  This keeps track of the one adapter used for all `GenericTool` instances.

  ** Generated **

### separatorItemProvider

    protected SeparatorItemProvider separatorItemProvider

  This keeps track of the one adapter used for all `Separator` instances.

  ** Generated **

### predefinedItemItemProvider

    protected PredefinedItemItemProvider predefinedItemItemProvider

  This keeps track of the one adapter used for all `PredefinedItem` instances.

  ** Generated **

### predefinedMenuItemProvider

    protected PredefinedMenuItemProvider predefinedMenuItemProvider

  This keeps track of the one adapter used for all `PredefinedMenu` instances.

  ** Generated **

### menuActionItemProvider

    protected MenuActionItemProvider menuActionItemProvider

  This keeps track of the one adapter used for all `MenuAction` instances.

  ** Generated **

### itemRefItemProvider

    protected ItemRefItemProvider itemRefItemProvider

  This keeps track of the one adapter used for all `ItemRef` instances.

  ** Generated **

### contextMenuItemProvider

    protected ContextMenuItemProvider contextMenuItemProvider

  This keeps track of the one adapter used for all `ContextMenu` instances.

  ** Generated **

### popupMenuItemProvider

    protected PopupMenuItemProvider popupMenuItemProvider

  This keeps track of the one adapter used for all `PopupMenu` instances.

  ** Generated **

### mainMenuItemProvider

    protected MainMenuItemProvider mainMenuItemProvider

  This keeps track of the one adapter used for all `MainMenu` instances.

  ** Generated **

### toolbarItemProvider

    protected ToolbarItemProvider toolbarItemProvider

  This keeps track of the one adapter used for all `Toolbar` instances.

  ** Generated **

### defaultImageItemProvider

    protected DefaultImageItemProvider defaultImageItemProvider

  This keeps track of the one adapter used for all `DefaultImage` instances.

  ** Generated **

### bundleImageItemProvider

    protected BundleImageItemProvider bundleImageItemProvider

  This keeps track of the one adapter used for all `BundleImage` instances.

  ** Generated **

### genericStyleSelectorItemProvider

    protected GenericStyleSelectorItemProvider genericStyleSelectorItemProvider

  This keeps track of the one adapter used for all `GenericStyleSelector` instances.

  ** Generated **

Constructor Detail

### GMFToolItemProviderAdapterFactory

    public GMFToolItemProviderAdapterFactory()

  This constructs an instance.

** Generated **

Method Detail

### createToolRegistryAdapter

    public Adapter createToolRegistryAdapter()

  This creates an adapter for a `ToolRegistry`.

  Overrides:
    `createToolRegistryAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToolRegistry`
  ** Generated **

### createPaletteSeparatorAdapter

    public Adapter createPaletteSeparatorAdapter()

  This creates an adapter for a `PaletteSeparator`.

  Overrides:
    `createPaletteSeparatorAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PaletteSeparator`
  ** Generated **

### createToolGroupAdapter

    public Adapter createToolGroupAdapter()

  This creates an adapter for a `ToolGroup`.

  Overrides:
    `createToolGroupAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToolGroup`
  ** Generated **

### createPaletteAdapter

    public Adapter createPaletteAdapter()

  This creates an adapter for a `Palette`.

  Overrides:
    `createPaletteAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Palette`
  ** Generated **

### createStandardToolAdapter

    public Adapter createStandardToolAdapter()

  This creates an adapter for a `StandardTool`.

  Overrides:
    `createStandardToolAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StandardTool`
  ** Generated **

### createCreationToolAdapter

    public Adapter createCreationToolAdapter()

  This creates an adapter for a `CreationTool`.

  Overrides:
    `createCreationToolAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CreationTool`
  ** Generated **

### createGenericToolAdapter

    public Adapter createGenericToolAdapter()

  This creates an adapter for a `GenericTool`.

  Overrides:
    `createGenericToolAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenericTool`
  ** Generated **

### createSeparatorAdapter

    public Adapter createSeparatorAdapter()

  This creates an adapter for a `Separator`.

  Overrides:
    `createSeparatorAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Separator`
  ** Generated **

### createPredefinedItemAdapter

    public Adapter createPredefinedItemAdapter()

  This creates an adapter for a `PredefinedItem`.

  Overrides:
    `createPredefinedItemAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredefinedItem`
  ** Generated **

### createPredefinedMenuAdapter

    public Adapter createPredefinedMenuAdapter()

  This creates an adapter for a `PredefinedMenu`.

  Overrides:
    `createPredefinedMenuAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredefinedMenu`
  ** Generated **

### createMenuActionAdapter

    public Adapter createMenuActionAdapter()

  This creates an adapter for a `MenuAction`.

  Overrides:
    `createMenuActionAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MenuAction`
  ** Generated **

### createItemRefAdapter

    public Adapter createItemRefAdapter()

  This creates an adapter for a `ItemRef`.

  Overrides:
    `createItemRefAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ItemRef`
  ** Generated **

### createContextMenuAdapter

    public Adapter createContextMenuAdapter()

  This creates an adapter for a `ContextMenu`.

  Overrides:
    `createContextMenuAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ContextMenu`
  ** Generated **

### createPopupMenuAdapter

    public Adapter createPopupMenuAdapter()

  This creates an adapter for a `PopupMenu`.

  Overrides:
    `createPopupMenuAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PopupMenu`
  ** Generated **

### createMainMenuAdapter

    public Adapter createMainMenuAdapter()

  This creates an adapter for a `MainMenu`.

  Overrides:
    `createMainMenuAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MainMenu`
  ** Generated **

### createToolbarAdapter

    public Adapter createToolbarAdapter()

  This creates an adapter for a `Toolbar`.

  Overrides:
    `createToolbarAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Toolbar`
  ** Generated **

### createDefaultImageAdapter

    public Adapter createDefaultImageAdapter()

  This creates an adapter for a `DefaultImage`.

  Overrides:
    `createDefaultImageAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultImage`
  ** Generated **

### createBundleImageAdapter

    public Adapter createBundleImageAdapter()

  This creates an adapter for a `BundleImage`.

  Overrides:
    `createBundleImageAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BundleImage`
  ** Generated **

### createGenericStyleSelectorAdapter

    public Adapter createGenericStyleSelectorAdapter()

  This creates an adapter for a `GenericStyleSelector`.

  Overrides:
    `createGenericStyleSelectorAdapter` in class `GMFToolAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenericStyleSelector`
  ** Generated **

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
  ** Generated **

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
  ** Generated **

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GMFToolAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  ** Generated **

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  ** Generated **

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`
  ** Generated **

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`
  ** Generated **

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `GMFToolItemProviderAdapterFactory.changeNotifier` and to `GMFToolItemProviderAdapterFactory.parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`
  ** Generated **

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `IDisposable`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.